Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4550 - Pizza doesn't like Double.NaN on Alpha DP264.
Summary: Pizza doesn't like Double.NaN on Alpha DP264.
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kaffe
Version: 6.0
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-16 18:18 UTC by niles
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 21:26:25 UTC


Attachments (Terms of Use)

Description niles 1999-08-16 18:18:16 UTC
Check out this java class:

----------
class Data { double doubleVal = Double.NaN; }
----------

Attempting to compile this java code with Kaffe's javac
(pizza) will
result in the following ArithmeticException on my brand new
Linux/Alpha DP264:
=======================================================

An exception has occurred in the compiler. (v0.39g)
Please file a bug report by sending your program and the
following diagnostic topizza@cis.unisa.edu.au.

   Thank you.

java.lang.ArithmeticException
	at pizza.v39.DoubleConst.hashCode(consttypes.pizza:220)
	at pizza.v39.Pool.put(bytecode.pizza:209)
	at pizza.v39.Gen.putConstant(gen.pizza:510)
	at pizza.v39.ImmediateItem.ldc(items.pizza:381)
	at pizza.v39.ImmediateItem.load(items.pizza:427)
	at pizza.v39.ByteCodeGen.genExpr(bytecodegen.pizza:992)
	at pizza.v39.ByteCodeGen.genStat(bytecodegen.pizza:517)
	at pizza.v39.ByteCodeGen.genStats(bytecodegen.pizza:745)
	at pizza.v39.ByteCodeGen.genTry(bytecodegen.pizza:236)
	at pizza.v39.ByteCodeGen.genDef(bytecodegen.pizza:294)
	at pizza.v39.ByteCodeGen.genDef(bytecodegen.pizza:287)
	at pizza.v39.ByteCodeGen.generate(bytecodegen.pizza:270)
	at pizza.v39.Main.process(main.pizza:236)
	at pizza.v39.Main.compile(main.pizza:298)
	at pizza.v39.Main.main(main.pizza:372)
	at pizza.compiler.Main.main(Main.pizza:20)
=======================================================

I bet this is a problem with Kaffe and not pizza itself, but
perhaps you can help me debug this....
(P.S. I've sent a copy of this to pizza bug mailing list)

Comment 1 Bill Nottingham 1999-08-16 22:36:59 UTC
FWIW, it works OK with the latest kaffe CVS snapshots...

Comment 2 Bill Nottingham 1999-08-18 21:26:59 UTC
since it is fixed in the kaffe CVS, we will provide a fix
when the next offcial kaffe release is made.


Note You need to log in before you can comment on or make changes to this bug.